<?php
/* Lightbox TT AZ for Textcube 1.5
   ----------------------------------
   Version 2.226.8

   Creator          : Chiri (http://moonmelody.com/tt)
   Modifier         : Pat-al (http://pat.im)

   Created at       : 2006.10.30.
   Last modified at : 2018.02.03.
 
 텍스트큐브 1.5 이상의 버전에서 Lightbox 자바 스크립트들:Lightbox Plus, Lightbox JS 1.0, Lightbox JS 2.0,
 Litebox 1.0 을 쉽게 사용할 수 있도록 스킨 출력시에 스크립트 삽입을 해 주는 프로그램입니다.

 General Public License
 http://www.gnu.org/licenses/gpl.html

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

*/

// 태터툴즈 1.1 lib/function/image.php 에서 가져옴.
// 텍스트큐브 1.5에서 리샘플링 관련 코드가 변경되었으나 일단은 유지...
// JS 2.0을 기본값으로 바꿈 (2.226, 고친 이 : 팥알)
function checkThumbnailName($imgString, $originSrc, $tempWidth, $tempHeight, $useAbsolutePath) {
	global $blogURL, $serviceURL, $pathURL;

	$_thisBlogId = getBlogId();
	if (!extension_loaded('gd') || is_null(getBlogSetting("resamplingDefault"))) {
		return $originSrc;
	} else {
		$waterMarkOn = getBlogSetting("waterMarkDefault", "no");
	}
	
	if (preg_match("/https?:\/\/(.*?)\/attach\/(.*?)$/i", $originSrc, $matches)) {$originSrc = "/attach/".$matches[2];}

	if (preg_match('/class="(tt-resampling|tt-watermark)"/i', $imgString, $temp)) {
		$originFileName = basename($originSrc);
		
		switch ($temp[1]) {
			case "tt-resampling":
				$resampleType = "resampled";
				break;
			case "tt-watermark":
				if ($waterMarkOn == 'no')
					$resampleType = "resampled";
				else
					$resampleType = "watermarked";
				break;
		}

		$newTempFileName = preg_replace("/\.([[:alnum:]]+)$/i", ".w{$tempWidth}-h{$tempHeight}.{$resampleType}.\\1", $originFileName);

		$originImageInfo = getimagesize(ROOT.$originSrc);

		$tempFileName = preg_replace("/\.([[:alnum:]]+)$/i", ".w{$originImageInfo[0]}-h{$originImageInfo[1]}.{$resampleType}.\\1", $originFileName);

		$tempURL = $pathURL."/thumbnail/".$_thisBlogId."/".$newTempFileName;
		if ($useAbsolutePath == true) {
			$tempURL = "$blogURL/thumbnail/".$_thisBlogId."/$newTempFileName";
		}

				if ($resampleType == "watermarked") {
					if (file_exists(ROOT."/cache/thumbnail/".$_thisBlogId."/$tempFileName")) {
						$tempTurl = "$blogURL/thumbnail/".$_thisBlogId."/$tempFileName";
					} else if (file_exists(ROOT."/cache/thumbnail/".$_thisBlogId."/".str_replace(".watermarked.", ".resampled.", $tempFileName))) {
						$tempTurl = "$blogURL/thumbnail/".$_thisBlogId."/".str_replace(".watermarked.", ".resampled.", $tempFileName);
					}
				} else if ($resampleType == "resampled" && file_exists(ROOT."/cache/thumbnail/".$_thisBlogId."/$tempFileName")) {
					$tempTurl = "$blogURL/thumbnail/".$_thisBlogId."/$tempFileName";
				}

	}
		return $tempTurl ? $tempTurl : $originSrc;
}

function AddLightboxTag($target, $mother) {
	LightboxttSetting();
	global $service,$entry,$lbtt_lightboxtype,$lbtt_alwayaddlightbox,$lbtt_keepgroupname,$lbtt_lightboxplusimgs,$lbtt_lightboxjs20imgs,$lbtt_lightboxjs10imgs,$lbtt_js20autogroup,$lbtt_plusautogroup;
	
	// Todo:경로명 지정에 대해서 텍스트큐브 자체 변수들을 활용하는 쪽으로 재검토 할 것.
	$lbtt_tatterServicePath = $service['path'];
	$lbtt_original = $target;
	$lbtt_imgurl = $mother;
	$lbtt_domain_with_port = $service['domain'].(isset($service['port'])?":{$service['port']}":''); // PAK, thx you!

	//$lbtt_url = "http://".$lbtt_domain_with_port.$lbtt_tatterServicePath."/".ereg_replace("(\.\./)*","",$lbtt_imgurl); // 실질적으로 쓰게 않게 되었는데 폐기처분할지는 차후에 생각을..

	if (preg_match("/^(.*?)\<img(.*?)\/\>(.*)$/i", $lbtt_original, $matches)) {$lbtt_otherfront = $matches[1];$lbtt_imgtag = $matches[2];$lbtt_otherend = $matches[3];} // img 태그만 추출

	// 대체 텍스트의 위치와 길이 판정
	// 이전 방식의 구멍을 고치기 위해 정규표현식으로 속성 내용들을 뽑아내도록 한다.
	if (preg_match("/src=\"(.*?)\"/i", $lbtt_imgtag, $matches)) {$lbtt_src = $matches[1];}

//		$lbtt_nocheckThumbnail = true;}
	if (preg_match("/width=\"(.*?)\"/i", $lbtt_imgtag, $matches)) {$lbtt_width = $matches[1];}
	if (preg_match("/height=\"(.*?)\"/i", $lbtt_imgtag, $matches)) {$lbtt_height = $matches[1];}
	if (preg_match("/class=\"(.*?)\"/i", $lbtt_imgtag, $matches)) {$lbtt_class = $matches[1];}
	if (preg_match("/alt=\"(.*?)\"/i", $lbtt_imgtag, $matches)) {$lbtt_alt = isset($matches[1]) ? $matches[1] : '사용자 삽입 이미지';}
	if (preg_match("/title=\"(.*?)\"/i", $lbtt_imgtag, $matches)) {$lbtt_title = $matches[1];}
	if (preg_match("/style=\"(.*?)\"/i", $lbtt_imgtag, $matches)) {$lbtt_style = $matches[1];}
	if (preg_match("/border=\"(.*?)\"/i", $lbtt_imgtag, $matches)) {$lbtt_border = $matches[1];}

	if (preg_match("/onclick=\"(.*?)\"/i", $lbtt_imgtag, $matches)) {$lbtt_onclick = $matches[1];}

	$lbtt_onclick_openimg = strpos($lbtt_imgtag, "onclick=\"open_img("); // 새 창으로 여는 자바스크립트가 삽입되었는지 체크

	if (isset($lbtt_onclick)) {
		if (strpos($lbtt_onclick, "open_img") === false) $lbtt_onclick = "\" onclick=\"".(isset($lbtt_onclick)?$lbtt_onclick:''); // open_img가 없으면 보존
		else {
			//$lbtt_onclick = preg_replace("/open_img('/attach/1/1161217158.jpg'); return false;$/","",$lbtt_onclick); // 새 창 여는 스크립트가 있으면 지우기
			$lbtt_onclick = ""; // 새 창 여는 스크립트가 있으면 지우기
		}
		
	}
	else $lbtt_onclick = ""; 

	$lbtt_border = isset($lbtt_border) ? $lbtt_border : '0';

	$lbtt_handled_caption = isset($lbtt_title) ? $lbtt_title : $lbtt_alt;

	if (preg_match("/\[(.*)\]$/", $lbtt_handled_caption, $lbtt_matches)) $lbtt_js20group = $lbtt_matches[1]; // 정규표현식으로 lightbox JS 2.0의 그룹명을 추출
	if ($lbtt_keepgroupname == 0) $lbtt_handled_caption = preg_replace("/(| )\[(.*)\]$/", "", $lbtt_handled_caption); // 그 후에 자막에서 해당 부분 삭제

	if (strpos($lbtt_handled_caption, "lightbox-effect")) // 설명 뒤에 이펙트 옵션을 붙였으면 이펙트 옵션의 태그를
	{
		//$lbtt_handled_caption= ereg_replace("( )*lightbox-effect","",$lbtt_handled_caption);
		$lbtt_handled_caption= preg_replace("( )*lightbox-effect","",$lbtt_handled_caption);
		$lbtt_handled_caption = str_replace("lightbox-effect","",$lbtt_handled_caption);
		$lbtt_effect = 1;
	}

//	$lbtt_handled_src = checkThumbnailName($lbtt_imgtag,$lbtt_src,$lbtt_width,$lbtt_height,false); // 리샘플링/워터마크 체크 루틴. 텍스트큐브에서 리샘플링 관련하여 여러가지 바뀌었으나 후에 워터마크 기능이 다시 나올때를 대비하여 남겨두기
	$lbtt_handled_src = $lbtt_src;

//	if ($lbtt_title) $lbtt_title = preg_replace("/(| )\[(.*)\]$/", "", $lbtt_title);
//	else if ($lbtt_alt) $lbtt_alt = preg_replace("/(| )\[(.*)\]$/", "", $lbtt_alt);


	if (isset($lbtt_js20group)){ $lbtt_js20group = "[".$lbtt_js20group."]"; $lbtt_existjs20group = "true";} // JS2.0의 그룹명을 PLUS에서도 그대로 쓰자...
	
	if (!isset($lbtt_title) || empty($lbtt_title)) { // title이 비었으면
		if (($lbtt_handled_caption == _t('사용자 삽입 이미지')) or ($lbtt_handled_caption == "사용자 삽입 이미지")) {
			$lbtt_img_title = "";
			$lbtt_alt = $lbtt_handled_caption; // 사용자 삽입 이미지 텍스트를 판단해서 alt에 삽입
		}
		else {
			$lbtt_img_title = $lbtt_handled_caption; // 손을 본 자막 텍스트를 title에 삽입
			//$lbtt_alt = _t('사용자 삽입 이미지') ? _t('사용자 삽입 이미지') : '사용자 삽입 이미지'; // alt에 사용자 삽입 이미지 텍스트 삽입
		}
	}
	else {
		$lbtt_img_title = $lbtt_handled_caption; // 안 비었으면 그냥 손을 본 자막 텍스트를 title에 삽입
	}

	if ($lbtt_img_title == "") $lbtt_handled_img_title = "\" title=\""; // title이 비었으면 빈걸로
	else $lbtt_handled_img_title = "\" title=\"".$lbtt_img_title; // 아니면 채워서

	$lbtt_handled_class = isset($lbtt_class) ? "\" class=\"".$lbtt_class : ''; // class 체크

	if ($lbtt_lightboxtype == "plus"){
		if ($lbtt_plusautogroup == "plusonautogroup") {$lbtt_groupnumber = "[2group0".$entry['id']."]";} // 일단 엔트리별 그룹명 생성
		if (isset($lbtt_existjs20group) && $lbtt_existjs20group == "true") {$lbtt_groupnumber = $lbtt_js20group; $lbtt_existjs20group = "";} // 그룹명 지정된게 있으면 그걸로 덮어씌우기
		if (isset($lbtt_effect) && $lbtt_effect == 1) // 설명 뒤에 이펙트 옵션을 붙였으면 이펙트 옵션의 태그를
		{
			$lbtt_addfront = "<a href=\"".$lbtt_handled_src."\" rel=\"lightbox".$lbtt_groupnumber."\" title=\"".$lbtt_img_title."\" class=\"effectable lightbox-image-css\" target=\"_blank\">";
		} // 아니면 그냥 a 태그를 만든다
		else $lbtt_addfront = "<a href=\"".$lbtt_handled_src."\" rel=\"lightbox".$lbtt_groupnumber."\" title=\"".$lbtt_img_title."\" class=\"lightbox-image-css\" target=\"_blank\">";
		}
	elseif ($lbtt_lightboxtype == "js20"){
		if ($lbtt_js20autogroup == "js20onautogroup") {$lbtt_addfront = "<a href=\"".$lbtt_handled_src."\" data-lightbox=\"lightbox[1group0".$entry['id']."]\" title=\"".$lbtt_img_title."\" class=\"lightbox-image-css\" target=\"_blank\">";} // 포스팅별 자동 그룹화 옵션이 켜져있으면 엔트리id별 그룹화를 한다
		elseif ($lbtt_js20autogroup == "js20noautogroup") {$lbtt_addfront = "<a href=\"".$lbtt_handled_src."\" data-lightbox=\"lightbox$lbtt_js20group\" title=\"".$lbtt_img_title."\" class=\"lightbox-image-css\" target=\"_blank\">";} // 아니면 그냥 출력
	}
	elseif ($lbtt_lightboxtype == "js10"){
		$lbtt_addfront = "<a href=\"".$lbtt_handled_src."\" rel=\"lightbox\" title=\"".$lbtt_img_title."\" class=\"lightbox-image-css\" target=\"_blank\">";
	}
	$lbtt_addback = "</a>";

// 텍스트큐브 1.8.6 수정사항에 맞춘 수정으로 구분이 없어짐. 통합 필요.
	if ($lbtt_onclick_openimg) // 새 창으로 띄우는 부분이 있으면 작업하기
	{
		$lbtt_arrange = $lbtt_otherfront.$lbtt_addfront."<img src=\"".$lbtt_src."\" width=\"".$lbtt_width."\" height=\"".$lbtt_height.$lbtt_handled_class."\" alt=\"".$lbtt_alt/*.$lbtt_handled_img_title*/."\" />".$lbtt_addback.$lbtt_otherend;

		return $lbtt_arrange;
	}
	elseif (($lbtt_alwayaddlightbox == 1)) // 모든 이미지 적용 옵션이 있으면
	{
		$lbtt_arrange = $lbtt_otherfront.$lbtt_addfront."<img src=\"".$lbtt_src."\" width=\"".$lbtt_width."\" height=\"".$lbtt_height.$lbtt_handled_class."\" alt=\"".$lbtt_alt/*.$lbtt_handled_img_title*/."\" />".$lbtt_addback.$lbtt_otherend;

		return $lbtt_arrange;
	}
	else return $lbtt_original;
}

function AddLightboxCSS($target){
	LightboxttSetting();
	global $pluginURL,$service,$lbtt_lightboxtype,$lbtt_lightboxdotcss,$lbtt_lightboxjs20dotcss,$lbtt_lightboxjs10dotcss;

	$lbtt_domain_with_port = $service['domain'].(isset($service['port'])?":{$service['port']}":''); // PAK, thx you!
	$lbtt_fullPluginURL = '//'.$lbtt_domain_with_port.$pluginURL;

	$lbtt_commoncss = '.lightbox-image-css img {cursor: pointer; border:none;}'.CRLF.CRLF;

		switch($lbtt_lightboxtype){
			case "plus" :
				$lbtt_lightboxcss = str_replace("url(.", "url(".$lbtt_fullPluginURL,$lbtt_lightboxdotcss);
				break;
			case "js20" :
				$lbtt_lightboxcss = str_replace("url(.", "url(".$lbtt_fullPluginURL,$lbtt_lightboxjs20dotcss);
				break;
			case "js10" :
				$lbtt_lightboxcss = str_replace("url(.", "url(".$lbtt_fullPluginURL,$lbtt_lightboxjs10dotcss);
				$lbtt_lightboxcss = str_replace("AlphaImageLoader(src=\".", "AlphaImageLoader(src=\"".$lbtt_fullPluginURL,$lbtt_lightboxcss);
				break;
		
		}

		$lbtt_lightboxscripts = '<style>'.CRLF.$lbtt_commoncss.$lbtt_lightboxcss.CRLF.'</style>'.CRLF;

	return $lbtt_lightboxscripts.$target;
}

function AddLightboxFiles($target){
	LightboxttSetting();
	global $pluginURL,$service,$lbtt_lightboxtype,$lbtt_lightboxplusimgs,$lbtt_lightboxjs20imgs,$lbtt_lightboxjs10imgs,$lbtt_js20resize,$lbtt_js20usever;

	$lbtt_version = '2.226.7';

	$lbtt_domain_with_port = $service['domain'].(isset($service['port'])?":{$service['port']}":''); // PAK, thx you!
	$lbtt_fullPluginURL = '//'.$lbtt_domain_with_port.$pluginURL;

	switch($lbtt_lightboxtype){
		case 'plus' :
			$lbtt_jsfileadd = '<script src="'.$lbtt_fullPluginURL.'/spica.js"></script>\n'.'<script src="'.$lbtt_fullPluginURL.'/lightbox_plus_ope.js"></script>\n';
			ob_start();
?>
<script>
// <![CDATA[
var lightboxon = 1;
var lightboxtype = "plus";
var lightboxtt_version = "<?php echo $lbtt_version;?>";
var fullPluginURL = "<?php echo $lbtt_fullPluginURL;?>";
var captiontexts = new Array();
var lightboxgallerysrcs = new Array();
function loadlightbox() {
	if(document.getElementById("lightbox").outerHTML) {}
	else {
	document.getElementById("lightbox").outerHTML = "";
	document.getElementById("overlay").outerHTML = "";
	}
}

Event.register(window,"load",function() {
	var lightboxon = 1;
	var lightbox = new LightBox({
<?php echo $lbtt_lightboxplusimgs;?>
	});
});
// ]]> 
</script>
<?php
			$lbtt_lightboxjsvar = ob_get_contents();
			ob_end_clean();
			break;
		case "js20" :
//			if ($lbtt_js20resize == "js20zoom") {$lbtt_js20filename = "espa";} else {$lbtt_js20filename = "ravi";}
			if ($lbtt_js20usever == "js20usejs20") {
				$lbtt_jsfileadd = '<script src="'.$lbtt_fullPluginURL.'/js20/js/prototype.js"></script>'."\n".'<script src="'.$lbtt_fullPluginURL.'/js20/js/scriptaculous.js?load=effects"></script>'."\n".'<script src="'.$lbtt_fullPluginURL.'/js20/js/lightbox_espa_liel.js"></script>'."\n";
			}
			elseif ($lbtt_js20usever == "js20uselite") {
				$lbtt_jsfileadd = '<script src="'.$lbtt_fullPluginURL.'/litebox/js/prototype.lite.js"></script>'."\n".'<script src="'.$lbtt_fullPluginURL.'/litebox/js/moo.fx.js"></script>'."\n".'<script src="'.$lbtt_fullPluginURL.'/litebox/js/litebox-1.0_nari.js"></script>'."\n";
			}
			ob_start();
?>
<script>	
// <![CDATA[
var lightboxon = 1;
var lightboxtype = "js20";
var lightboxjs20type = "<?php echo $lbtt_js20usever;?>";
var lightboxtt_version = "<?php echo $lbtt_version;?>";
var fullPluginURL = "<?php echo $lbtt_fullPluginURL;?>";
var captiontexts = new Array();
var lightboxgallerysrcs = new Array();
<?php echo $lbtt_lightboxjs20imgs;?>
// ]]> 
</script>
<?php
			$lbtt_lightboxjsvar = ob_get_contents();
			ob_end_clean();
			break;
		case "js10" :
			$lbtt_jsfileadd = '<script src="'.$lbtt_fullPluginURL.'/js10/lightbox.js"></script>'."\n";
			ob_start();
?>
<script>	
// <![CDATA[
var lightboxon = 1;
var lightboxtype = "js10";
var lightboxtt_version = "<?php echo $lbtt_version;?>";
var fullPluginURL = "<?php echo $lbtt_fullPluginURL;?>";
var captiontexts = new Array();
var lightboxgallerysrcs = new Array();
<?php echo $lbtt_lightboxjs10imgs;?>
// ]]> 
</script>
<?php
			$lbtt_lightboxjsvar = ob_get_contents();
			ob_end_clean();
			break;
		
		}


	$lbtt_lightboxjsvar = str_replace("./plugins/lightbox",$lbtt_fullPluginURL,$lbtt_lightboxjsvar);

	$lbtt_lightboxscripts = $lbtt_jsfileadd.$lbtt_lightboxjsvar;
//	$lbtt_lightboxfiles = 1;
//	}
	return $lbtt_lightboxscripts.$target;
}

function AddlightboxjsToRSS($target)
{
	$lbtt_original = $target;
	$lbtt_original = str_replace("function TTGallery(containerId)","var lightboxtype = \"plus\"; var captiontexts = new Array();var lightboxgallerysrcs = new Array();function TTGallery(containerId)", $lbtt_original);
	$lbtt_original = str_replace("this.lightboxLoad();","",$lbtt_original);
	return $lbtt_original;
}

function LightboxttDataSet($DATA){
	requireComponent('Textcube.Function.misc');
	$cfg = misc::fetchConfigVal( $DATA );
	
	if(version_compare(PHP_VERSION, '5.4.0','>=')) {
		$cfg_resizeSpeed = htmlspecialchars($cfg['resizeSpeed'], ENT_COMPAT | ENT_HTML401 | ENT_IGNORE, '');
		$cfg_borderSize = htmlspecialchars($cfg['borderSize'], ENT_COMPAT | ENT_HTML401 | ENT_IGNORE, '');
		$cfg_effectposx = htmlspecialchars($cfg['effectposx'], ENT_COMPAT | ENT_HTML401 | ENT_IGNORE, '');
		$cfg_effectposy = htmlspecialchars($cfg['effectposy'], ENT_COMPAT | ENT_HTML401 | ENT_IGNORE, '');
	} else {
		$cfg_resizeSpeed = htmlspecialchars($cfg['resizeSpeed']);
		$cfg_borderSize = htmlspecialchars($cfg['borderSize']);
		$cfg_effectposx = htmlspecialchars($cfg['effectposx']);
		$cfg_effectposy = htmlspecialchars($cfg['effectposy']);
	}
	
	if (!is_numeric($cfg['resizeSpeed'])) return '이미지 리사이징 속도 값은 숫자만 가능합니다. 입력값 : '.$cfg_resizeSpeed;
	if (!is_numeric($cfg['borderSize'])) return '이미지 테두리 굵기 값은 숫자만 가능합니다. 입력값 : '.$cfg_borderSize;

	if (!is_numeric($cfg['effectposx'])) return '이미지 효과 X축 위치 값은 숫자만 가능합니다. 입력값 : '.$cfg_effectposx;
	if (!is_numeric($cfg['effectposy'])) return '이미지 효과 Y축 위치 값은 숫자만 가능합니다. 입력값 : '.$cfg_effectposy;

	//if( is_null ( $cfg ) )	 return '인수값이 안들어옴';
	// 등등등등 여기서 원하는 검증을 하시고 검증 실패시 사용자에게 보여줄 에러메세지를 보내주심 됩니다.
	return true;
}

function LightboxttSetting()
{
	global $configVal,$lbtt_lightboxtype,$lbtt_alwayaddlightbox,$lbtt_keepgroupname,$lbtt_lightboxdotcss,$lbtt_lightboxjs20dotcss,$lbtt_lightboxjs10dotcss,$lbtt_lightboxplusimgs,$lbtt_lightboxjs20imgs,$lbtt_lightboxjs10imgs,$lbtt_js20resize,$lbtt_js20autogroup,$lbtt_plusautogroup,$lbtt_js20yposmiddle,$lbtt_js20usever;

	requireComponent('Textcube.Function.misc');
	$lbtt_settingdata = misc::fetchConfigVal( $configVal);

ob_start();
?>
#lightbox {
	background-color: #eee;
	padding: 10px;
	border-bottom: 1px solid #666;
	border-right: 1px solid #666;
}
#overlay {
	text-align: left;
	background-image: url(./images/overlay.png);
}
#lightboxCaption {
	color: #333;
	background-color: #eee;
	font-size: 90%;
	text-align: center;
	border-bottom: 1px solid #666;
	border-right: 1px solid #666;
}
#lightboxIndicator {
	border: 1px solid #fff;
}
#lightboxOverallView {
	background-image: url(./images/overlay.png);
}
* html #lightboxOverallView,
* html #overlay {
	background-color: #000;
	background-image: url(blank.gif);
	filter: Alpha(opacity=50);
}
<?php

$lbtt_lightboxdotcss = ob_get_contents();
ob_end_clean();

// lightbox js 2.0
ob_start();
?>
#lightbox{
	position: absolute;
	display:block;
	top: 40px;
	left: 0;
	width: 100%;
	z-index: 10000;
	text-align: center;
	line-height: 0;
}

#lightbox a img{ border: none; }

#outerImageContainer{
	position: relative;
	background-color: #fff;
	width: 250px;
	height: 250px;
	margin: 0 auto;
}

#imageContainer{
	padding: 10px 0px; 
}

#loading{
	position: absolute;
	top: 40%;
	left: 0%;
	height: 25%;
	width: 100%;
	text-align: center;
	line-height: 0;
}
#hoverNav{
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	z-index: 10;
}
#imageContainer>#hoverNav{ left: 0;}
#hoverNav a{ outline: none;}

#prevLink, #nextLink{
	width: 40%;
	height: 100%;
	background: transparent url(./js20/images/blank.gif) no-repeat; /* Trick IE into showing hover */
	display: block;
}
#prevLink{ left: 0; float: left;}
#nextLink{ right: 0; float: right;}
#prevLink:hover, #prevLink:visited:hover { background: url(./js20/images/prev.gif) left 50% no-repeat; }
#nextLink:hover, #nextLink:visited:hover { background: url(./js20/images/next.gif) right 50% no-repeat; }

#imageDataContainer{
	font-family: Tahoma,Verdana,"Segoe UI",Gulim,"Malgun Gothic", Helvetica, sans-serif;
	background-color: #fff;
	margin: 0 auto;
	padding-top: 5px;
	line-height: 1.4em;
}

#imageData{	padding:0 10px;}
#imageData #imageDetails{ width:auto; float: left; text-align:left; padding-bottom:0.5em;}
#imageData #caption{ font-weight:bold; font-size:13px;}
#imageData #numberDisplay{ display: block; clear: left; font-size:11px;}
#imageData #bottomNav{ display:inline;float:right; padding-bottom:5px;}
#imageData #bottomNavClose img{ margin-bottom:3px;}
#imageData #bottomNavZoom{ width: 34px; padding-left:15px; padding-right:16px; text-align:right;} /* Added by Bas */

#overlay{
	position: absolute;
	top: 0;
	left: 0;
	z-index: 10000;
	width: 100%;
	height: 500px;
	background-color: #000;
}

.clearfix:after {
	content: "."; 
	display: block; 
	height: 0; 
	clear: both; 
	visibility: hidden;
}

* html>body .clearfix {
	display: inline-block; 
	width: 100%;
}

* html .clearfix {
	/* Hides from IE-mac \*/
	height: 1%;
	/* End hide from IE-mac */
}
<?php
$lbtt_lightboxjs20dotcss = ob_get_contents();
ob_end_clean();


// lightbox js 1.0
ob_start();
?>
#lightbox{
	background-color:#eee;
	padding: 10px;
	border-bottom: 2px solid #666;
	border-right: 2px solid #666;
	}
#lightboxDetails{
	font-size: 0.8em;
	padding-top: 0.4em;
	}	
#lightboxCaption{ float: left; }
#keyboardMsg{ float: right; }
#closeButton{ top: 5px; right: 5px; }

#lightbox img{ border: none; clear: both;} 
#overlay img{ border: none; }

#overlay{ background-image: url(./js10/overlay.png); }

* html #overlay{
	background-color: #333;
	back\ground-color: transparent;
	background-image: url(blank.gif);
	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src="./js10/overlay.png", sizingMethod="scale");
	}
<?php
$lbtt_lightboxjs10dotcss = ob_get_contents();
ob_end_clean();

$lbtt_lightboxtype = "js20";
$lbtt_alwayaddlightbox = 1;
$lbtt_keepgroupname = 0;

$lbtt_plusloadingimg = "loading.gif";
$lbtt_plusautogroup = "plusonautogroup";
$lbtt_plusexpandimg = "expand.png";
$lbtt_plusshrinkimg = "shrink.png";
$lbtt_plusprevimg = "prev.png";
$lbtt_plusnextimg = "next.png";
$lbtt_pluseffectimg = "zzoop.png";
$lbtt_pluseffectposx = -40;
$lbtt_pluseffectposy = -20;
$lbtt_pluseffectclass = "effectable";
$lbtt_pluscloseimg = "close.gif";
$lbtt_plusresizable = "true";

$lbtt_js20usever = "js20usejs20";
$lbtt_js20resize = "js20zoom";
$lbtt_js20autogroup = "js20onautogroup";
$lbtt_js20yposmiddle = "1";
$lbtt_js20fileLoadingImage = "loading.gif";
$lbtt_js20fileBottomNavCloseImage = "close.png";
$lbtt_js20fileBottomNavZoomImage = "expand.png";
$lbtt_js20resizeSpeed = 9;
$lbtt_js20borderSize = 10;

$lbtt_js10loadingImage = "loading.gif";
$lbtt_js10closeButton = "close.gif";

	if( !is_null( $lbtt_settingdata ) ){
		$lbtt_lightboxtype = $lbtt_settingdata['lightboxverselect'];
		$lbtt_alwayaddlightbox = $lbtt_settingdata['alwayaddlightbox'];
		$lbtt_keepgroupname = $lbtt_settingdata['keepgroupname'];
		if ($lbtt_settingdata['pluscss']) $lbtt_lightboxdotcss = preg_replace('/<(script|style)[^>]*>.*?<\/\1>/si', '', $lbtt_settingdata['pluscss']);
		if ($lbtt_settingdata['js20css']) $lbtt_lightboxjs20dotcss = preg_replace('/<(script|style)[^>]*>.*?<\/\1>/si', '', $lbtt_settingdata['js20css']);
		if ($lbtt_settingdata['js10css']) $lbtt_lightboxjs10dotcss = preg_replace('/<(script|style)[^>]*>.*?<\/\1>/si', '', $lbtt_settingdata['js10css']);

		$lbtt_plusloadingimg = $lbtt_settingdata['loadingimg'];
		$lbtt_plusexpandimg = $lbtt_settingdata['expandimg'];
		$lbtt_plusshrinkimg = $lbtt_settingdata['shrinkimg'];
		$lbtt_plusprevimg = $lbtt_settingdata['previmg'];
		$lbtt_plusnextimg = $lbtt_settingdata['nextimg'];
		$lbtt_pluseffectimg = $lbtt_settingdata['effectimg'];
		$lbtt_pluseffectposx = $lbtt_settingdata['effectposx'];
		$lbtt_pluseffectposy = $lbtt_settingdata['effectposy'];
//		$lbtt_pluseffectclass = $lbtt_settingdata['effectclass'];
		$lbtt_pluscloseimg = $lbtt_settingdata['closeimg'];
		$lbtt_plusresizable = $lbtt_settingdata['resizable'];
		$lbtt_plusautogroup = $lbtt_settingdata['plusautogroup'];

		$lbtt_js20usever = $lbtt_settingdata['js20usever'];
		$lbtt_js20resize = $lbtt_settingdata['js20resize'];
		$lbtt_js20autogroup = $lbtt_settingdata['js20autogroup'];
		$lbtt_js20yposmiddle = $lbtt_settingdata['js20yposmiddle'];
		$lbtt_js20fileLoadingImage = $lbtt_settingdata['fileLoadingImage'];
		$lbtt_js20fileBottomNavCloseImage = $lbtt_settingdata['fileBottomNavCloseImage'];
		$lbtt_js20fileBottomNavZoomImage = $lbtt_settingdata['fileBottomNavZoomImage'];
		$lbtt_js20resizeSpeed = $lbtt_settingdata['resizeSpeed'];
		$lbtt_js20borderSize = $lbtt_settingdata['borderSize'];

		$lbtt_js10loadingImage = $lbtt_settingdata['loadingImage'];
		$lbtt_js10closeButton = $lbtt_settingdata['closeButton'];
	}

// Lightbox plus 의 각종 이미지파일 경로 설정
ob_start();
?>
		loadingimg:'./plugins/lightbox/images/<?php echo $lbtt_plusloadingimg;?>',
		expandimg:'./plugins/lightbox/images/<?php echo $lbtt_plusexpandimg;?>',
		shrinkimg:'./plugins/lightbox/images/<?php echo $lbtt_plusshrinkimg;?>',
		previmg:'./plugins/lightbox/images/<?php echo $lbtt_plusprevimg;?>',
		nextimg:'./plugins/lightbox/images/<?php echo $lbtt_plusnextimg;?>',
		effectimg:'./plugins/lightbox/images/<?php echo $lbtt_pluseffectimg;?>',
		effectpos:{x:<?php echo $lbtt_pluseffectposx;?>,y:<?php echo $lbtt_pluseffectposy;?>},
		effectclass:'<?php echo $lbtt_pluseffectclass;?>',
		closeimg:'./plugins/lightbox/images/<?php echo $lbtt_pluscloseimg;?>',
		resizable:<?php echo $lbtt_plusresizable;?>
<?php
$lbtt_lightboxplusimgs = ob_get_contents();
ob_end_clean();


if ($lbtt_js20usever == "js20uselite") {
ob_start();
?>
if(resizeSpeed > 10){ resizeSpeed = 10;}
if(resizeSpeed < 1){ resizeSpeed = 1;}
resizeDuration = (11 - resizeSpeed) * 100;
<?php
$lbtt_lightboxjs20resizespeedcode = ob_get_contents();
ob_end_clean();
}
elseif ($lbtt_js20usever == "js20usejs20") {
ob_start();
?>
if(resizeSpeed > 10){ resizeSpeed = 10;}
if(resizeSpeed < 1){ resizeSpeed = 1;}
resizeDuration = (11 - resizeSpeed) * 0.15;
<?php
$lbtt_lightboxjs20resizespeedcode = ob_get_contents();
ob_end_clean();
}

// Lightbox JS 2.0 의 각종 이미지파일 경로 및 그 외 설정
ob_start();
?>
var fileLoadingImage = "./plugins/lightbox/js20/images/<?php echo $lbtt_js20fileLoadingImage;?>";		
var fileBottomNavCloseImage = "./plugins/lightbox/js20/images/<?php echo $lbtt_js20fileBottomNavCloseImage;?>";
var fileBottomNavZoomImage = "./plugins/lightbox/js20/images/<?php echo $lbtt_js20fileBottomNavZoomImage;?>";

var resizeSpeed = <?php echo $lbtt_js20resizeSpeed;?>;
var borderSize = <?php echo $lbtt_js20borderSize;?>;

var resize = "<?php echo $lbtt_js20resize;?>";
var YposMiddle = "<?php echo $lbtt_js20yposmiddle;?>";

var imageArray = new Array;
var activeImage;

<?php
$lbtt_lightboxjs20imgs = ob_get_contents();
ob_end_clean();
$lbtt_lightboxjs20imgs .= $lbtt_lightboxjs20resizespeedcode;

// Lightbox JS 1.0 의 각종 이미지파일 경로 설정
ob_start();
?>
var loadingImage = './plugins/lightbox/js10/<?php echo $lbtt_js10loadingImage;?>';		
var closeButton = './plugins/lightbox/js10/<?php echo $lbtt_js10closeButton;?>';
<?php
$lbtt_lightboxjs10imgs = ob_get_contents();
ob_end_clean();

}
?>